org.apache.tomcat.util.net

## Class AprEndpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.SendfileDataBase
  - - org.apache.tomcat.util.net.AprEndpoint.SendfileData

- Enclosing class:
    AprEndpoint

      public static class AprEndpoint.SendfileData
      extends SendfileDataBase

  SendfileData class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `fd`
    `protected long` | `fdpool`
    `protected long` | `socket`

    - ### Fields inherited from class org.apache.tomcat.util.net.SendfileDataBase

      `fileName, keepAliveState, length, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprEndpoint.SendfileData(String filename, long pos, long length)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fd

          protected long fd

    - #### fdpool

          protected long fdpool

    - #### socket

          protected long socket

  - ### Constructor Detail

    - #### AprEndpoint.SendfileData

          public AprEndpoint.SendfileData(String filename,
                                  long pos,
                                  long length)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.